SystemOrganization addCategory: #'Iliad-More-RSS'!

ILApplication subclass: #ILRSSMockApplication
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-More-RSS'!

!ILRSSMockApplication class methodsFor: 'accessing' stamp: 'sa 10/1/2009 09:54'!
path
	^'rss'! !

!ILRSSMockApplication methodsFor: 'controllers' stamp: 'sa 10/1/2009 09:57'!
index
	self returnResponse: ILRSSMock new asResponse! !

ILElement subclass: #ILRSSElement
	instanceVariableNames: 'tag'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-More-RSS'!

ILRSSElement subclass: #ILRSSCategoryElement
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-More-RSS'!

!ILRSSCategoryElement methodsFor: 'accessing attributes' stamp: 'np 4/5/2010 17:37'!
domain: anUrl
	self attributeAt: 'domain' put: anUrl greaseString! !

!ILRSSCategoryElement methodsFor: 'accessing' stamp: 'sa 9/30/2009 23:41'!
tag
	^'category'! !

ILRSSElement subclass: #ILRSSCloudElement
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-More-RSS'!

!ILRSSCloudElement methodsFor: 'accessing attributes' stamp: 'np 4/5/2010 17:37'!
domain: anUrl
	self attributeAt: 'domain' put: anUrl greaseString! !

!ILRSSCloudElement methodsFor: 'accessing attributes' stamp: 'np 4/5/2010 17:37'!
path: aPath
	self attributeAt: 'path' put: aPath greaseString! !

!ILRSSCloudElement methodsFor: 'accessing attributes' stamp: 'np 4/5/2010 17:41'!
port: anInteger
	self attributeAt: 'port' put: anInteger greaseString! !

!ILRSSCloudElement methodsFor: 'accessing attributes' stamp: 'np 4/5/2010 17:37'!
protocol: aProtocol
	self attributeAt: 'protocol' put: aProtocol greaseString! !

!ILRSSCloudElement methodsFor: 'accessing attributes' stamp: 'np 4/5/2010 17:37'!
registerProcedure: aNamespace
	self attributeAt: 'registerProcedure' put: aNamespace greaseString! !

!ILRSSCloudElement methodsFor: 'accessing' stamp: 'sa 10/1/2009 00:23'!
tag
	^'cloud'! !

ILRSSElement subclass: #ILRSSCommentsElement
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-More-RSS'!

!ILRSSCommentsElement methodsFor: 'accessing' stamp: 'sa 10/1/2009 00:24'!
tag
	^'comments'! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 10/1/2009 10:31'!
author
	^self add: (ILRSSElement new 
		tag: 'author';
		yourself)! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 9/30/2009 17:56'!
author: aString
	^self author
		text: aString;
		yourself! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'FirstnameLastname 10/1/2009 09:23'!
category
	^self add: ILRSSCategoryElement new! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 10/1/2009 00:12'!
category: aString
	^self category
		text: aString;
		yourself! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 10/1/2009 10:31'!
channel
	^self add: (ILRSSElement new
		tag: 'channel';
		yourself)! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 10/1/2009 00:21'!
cloud
	^self add: ILRSSCloudElement new! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 10/1/2009 10:31'!
comment
	^self add: (ILRSSElement new 
		tag: 'wfw:comment';
		yourself)! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 10/1/2009 00:16'!
comment: aString
	^self comment
		text: aString;
		yourself! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 10/1/2009 09:24'!
comments
	^self add: ILRSSCommentsElement new ! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 10/1/2009 00:16'!
comments: anUrl
	^self comments
		text: anUrl;
		yourself! !

!ILRSSElement methodsFor: 'accessing' stamp: 'sa 10/1/2009 10:42'!
contentType
	^'application/rss+xml'! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 10/1/2009 10:41'!
copyright
	^self add: (ILRSSElement new
		tag: 'copyright';
		yourself)! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 9/30/2009 17:58'!
copyright: aString
	^self copyright
		text: aString;
		yourself! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 10/1/2009 10:42'!
description
	^self add: (ILRSSElement new 
		tag: 'description';
		yourself)! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 10/1/2009 10:00'!
description: aString
	^self description
		text: aString;
		yourself! !

!ILRSSElement methodsFor: 'accessing' stamp: 'sa 10/1/2009 00:09'!
enclosure
	^self add: ILRSSEnclosureElement new ! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 10/1/2009 10:51'!
generator
	^self add: (ILRSSElement new
		tag: 'generator';
		yourself)! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 9/30/2009 17:59'!
generator: aString
	^self generator
		text: aString;
		yourself! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 10/1/2009 09:25'!
guid
	^self add: ILRSSGuidElement new
! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 9/30/2009 23:52'!
guid: anUrl
	^self guid
		text: anUrl
		yourself! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 10/1/2009 10:51'!
image
	^self add: (ILRSSElement new
		tag: 'image';
		yourself)! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 9/30/2009 17:59'!
image: aString
	^self image
		text: aString;
		yourself! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 10/1/2009 10:51'!
item
	^self add: (ILRSSElement new
		tag: 'item';
		yourself)! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 10/1/2009 10:51'!
language
	^self add: (ILRSSElement new 
		tag: 'language';
		yourself)! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 9/30/2009 17:59'!
language: aString
	^self language
		text: aString;
		yourself! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 10/1/2009 10:52'!
lastBuildDate
	^self add: (ILRSSElement new
		tag: 'lastBuildDate';
		yourself)! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'np 4/5/2010 17:51'!
lastBuildDate: aDate
	^self lastBuildDate
		text: ((GRPrinter rfc822WithTimeZone: 'GMT') print: aDate asTimeStamp);
		yourself! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 10/1/2009 10:52'!
link
	^self add: (ILRSSElement new 
		tag: 'link';
		yourself)! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 9/30/2009 17:55'!
link: aString
	^self link
		text: aString;
		yourself! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 10/1/2009 10:52'!
managingEditor
	^self add: (ILRSSElement new
		tag: 'managingEditor';
		yourself)! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 9/30/2009 17:55'!
managingEditor: aString
	^self managingEditor
		text: aString;
		yourself! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 10/1/2009 10:52'!
pubDate
	^self add: (ILRSSElement new
		tag: 'pubDate';
		yourself)! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'np 4/5/2010 17:50'!
pubDate: aDate
	^self pubDate
		text: ((GRPrinter rfc822WithTimeZone: 'GMT') print: aDate asTimeStamp);
		yourself! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 10/1/2009 10:52'!
rating
	^self add: (ILRSSElement new 
		tag: 'rating';
		yourself)! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 9/30/2009 18:03'!
rating: aString
	^self rating
		text: aString;
		yourself! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 10/1/2009 09:46'!
rss
	^self add: ILRSSRssElement new! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 10/1/2009 10:52'!
skipDays
	^self add: (ILRSSElement new
		tag: 'skipDays';
		yourself)! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 9/30/2009 19:09'!
skipDays: aString
	^self skipDays
		text: aString;
		yourself! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 10/1/2009 10:52'!
skipHours
	^self add: (ILRSSElement new 
		tag: 'skipHours';
		yourself)! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 9/30/2009 19:10'!
skipHours: aString
	^self skipHours
		text: aString;
		yourself! !

!ILRSSElement methodsFor: 'accessing' stamp: 'sa 10/1/2009 09:25'!
source
	^self add: ILRSSSourceElement new 
! !

!ILRSSElement methodsFor: 'accessing' stamp: 'sa 10/1/2009 00:02'!
source: aString
	^self source
		text: aString;
		yourself! !

!ILRSSElement methodsFor: 'accessing' stamp: 'sa 9/30/2009 17:20'!
tag
	^tag! !

!ILRSSElement methodsFor: 'accessing' stamp: 'sa 9/30/2009 17:19'!
tag: aString
	tag := aString! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 10/1/2009 10:53'!
textInput
	^self add: (ILRSSElement new
		tag: 'textInput';
		yourself)! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 9/30/2009 18:10'!
textInput: aString
	^self textInput
		text: aString;
		yourself! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 10/1/2009 10:53'!
title
	^self add: (ILRSSElement new 
		tag: 'title';
		yourself)! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 9/30/2009 18:00'!
title: aString
	^self title
		text: aString;
		yourself! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 10/1/2009 10:53'!
ttl
	^self add: (ILRSSElement new 
		tag: 'ttl';
		yourself)! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 9/30/2009 18:01'!
ttl: aString
	^self ttl
		text: aString;
		yourself! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 10/1/2009 10:53'!
webMaster
	^self add: (ILRSSElement new
		tag: 'webMaster';
		yourself)! !

!ILRSSElement methodsFor: 'adding-conveniance' stamp: 'sa 9/30/2009 18:00'!
webMaster: aString
	^self webMaster
		text: aString;
		yourself! !

ILRSSElement subclass: #ILRSSEnclosureElement
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-More-RSS'!

!ILRSSEnclosureElement methodsFor: 'accessing attributes' stamp: 'np 4/5/2010 17:41'!
length: anInteger
	self attributeAt: 'length' put: anInteger greaseString! !

!ILRSSEnclosureElement methodsFor: 'accessing' stamp: 'sa 9/30/2009 23:10'!
tag
	^'enclosure'! !

!ILRSSEnclosureElement methodsFor: 'accessing attributes' stamp: 'sa 9/30/2009 23:30'!
type: aString 
	self attributeAt: 'type' put: aString! !

!ILRSSEnclosureElement methodsFor: 'accessing' stamp: 'sa 10/1/2009 09:44'!
url: anUrl 
	self attributeAt: 'url' put: anUrl! !

ILRSSElement subclass: #ILRSSGuidElement
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-More-RSS'!

!ILRSSGuidElement methodsFor: 'accessing attributes' stamp: 'np 4/5/2010 17:37'!
isPermaLink: aBoolean
	self attributeAt: 'isPermaLink' put: aBoolean greaseString! !

!ILRSSGuidElement methodsFor: 'accessing' stamp: 'sa 10/1/2009 00:15'!
tag
	^'guid'! !

ILRSSElement subclass: #ILRSSRssElement
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-More-RSS'!

!ILRSSRssElement methodsFor: 'printing' stamp: 'sa 10/1/2009 09:41'!
beforePrintHtml
	self version ifNil: [
		self version: 2.0]! !

!ILRSSRssElement methodsFor: 'accessing attributes' stamp: 'sa 10/1/2009 10:39'!
blogChannel: aString
	self attributeAt: 'xmlns:blogChannel' put: aString
	! !

!ILRSSRssElement methodsFor: 'printing' stamp: 'sa 10/1/2009 09:40'!
printHtmlOn: aStream
	aStream nextPutAll: self xmlTag.
	super printHtmlOn: aStream! !

!ILRSSRssElement methodsFor: 'accessing' stamp: 'sa 10/1/2009 10:27'!
tag
	^'rss'! !

!ILRSSRssElement methodsFor: 'accessing attributes' stamp: 'sa 10/1/2009 10:33'!
version
	^self attributeAt: 'version'! !

!ILRSSRssElement methodsFor: 'accessing attributes' stamp: 'np 4/5/2010 17:41'!
version: aNumber
	self attributeAt: 'version' put: aNumber greaseString! !

!ILRSSRssElement methodsFor: 'accessing' stamp: 'sa 10/1/2009 09:34'!
xmlTag
	^'<?xml version="1.0"?>'
! !

!ILRSSRssElement methodsFor: 'accessing attributes' stamp: 'sa 10/1/2009 09:37'!
xmlns: aString
	self attributeAt: 'xmlns' put: aString! !

ILRSSElement subclass: #ILRSSSourceElement
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-More-RSS'!

!ILRSSSourceElement methodsFor: 'accessing' stamp: 'sa 9/30/2009 23:01'!
tag
	^'source'! !

!ILRSSSourceElement methodsFor: 'accessing attributes' stamp: 'sa 10/1/2009 00:03'!
url: anUrl
	self attributeAt: 'url' put: anUrl! !

ILBuildable subclass: #ILRSSMock
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-More-RSS'!

!ILRSSMock methodsFor: 'as yet unclassified' stamp: 'sa 5/26/2010 14:44'!
buildContents
	| e rss channel item desc |
	desc := WriteStream on: ''.
	ILHTMLBuilderElement new 
			build: ILCounter new;
			printHtmlOn: desc.
		e := ILRSSElement new.
		rss := e rss 
			blogChannel: 'http://google.com';
			yourself.
		channel :=  rss channel.
		channel  title: 'coucou'.
		channel link: 'www.google.com'.
		item := channel item.
		item title: 'Item'.
		item link: 'www.google.com'.
		item description: desc contents.
		item pubDate: Date today.
		^e! !
